from weasyprint import HTML, CSS

import logging
logging.basicConfig(filename='weasyprint.log',level=logging.DEBUG)

# change next line
with open("wp-table-noerror.html") as testfile:
    output_page=testfile.read()

html = HTML(string=str(output_page))
css_basic = CSS(filename="wp-table-settings.css")
html.write_pdf('wptable.pdf', stylesheets=[css_basic])
